Bug 1574952 - Add logging to TripleOCapabilitiesFilter
Summary: Add logging to TripleOCapabilitiesFilter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z9
: 10.0 (Newton)
Assignee: Dmitry Tantsur
QA Contact: bjacot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 12:09 UTC by Dmitry Tantsur
Modified: 2018-11-12 11:39 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-common-5.4.7-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 16:54:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 566297 0 None MERGED Add logging to capabilities filter 2020-09-30 23:14:11 UTC
Red Hat Product Errata RHBA-2018:2670 0 None None None 2018-09-17 16:56:19 UTC

Description Dmitry Tantsur 2018-05-04 12:09:33 UTC
When this filter fails, it's very hard to understand why. You need to manually compare every node to what is requested in the scheduler hints. We need to log why exactly a node did not pass the test in DEBUG mode.

The patch for this issue has already merged in master, this is a request to backport it to OSP 10.

Comment 9 bjacot 2018-08-09 19:04:45 UTC
Installed latest version of OSP10.  Verified that gerrit changes to the log messages are being captured in nova-scheduler.log.  Please reopen if this is still an issue.

cat /etc/yum.repos.d/latest-installed 
10   -p 2018-08-04.1

error message from nova-scheduler.log

2018-08-09 14:56:47.566 21966 DEBUG tripleo_common.filters.capabilities_filter [req-606af9c2-b4ca-4c19-ac03-423b71f6572a e2d0eb3d9ee242d5b125723a82f3de3d 8db333e06c6746b6bf370a509d4a0a15 - - -] Node tagged None does not match requested node cephstorage-1 host_passes /usr/lib/python2.7/site-packages/tripleo_common/filters/capabilities_filter.py:46

Comment 11 Alex McLeod 2018-09-03 07:59:07 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 13 errata-xmlrpc 2018-09-17 16:54:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2670


Note You need to log in before you can comment on or make changes to this bug.